1. institution
LeksiGo v2
  • auth
    • login
      POST
    • register
      POST
    • logout
      POST
    • refresh token
      POST
  • child
    • get [parent]
      GET
    • post [parent]
      POST
    • get [insitution]
      GET
    • put [parent]
      PUT
    • delete [parent]
      DELETE
  • users [admin]
    • get
      GET
    • post
      POST
    • show
      GET
    • put
      PUT
    • delete
      DELETE
  • institution
    • get
      GET
    • post [admin]
      POST
    • show
      GET
    • updateStatus
      PATCH
    • get applicants [institution]
      GET
    • apply applicants [institution]
      POST
  • teacher [institution]
    • get
      GET
    • post
      POST
    • put
      PUT
    • updateStatus
      PATCH
  • playground
    • teacher
      • course
        • store
        • get
        • show
        • put
        • active status
      • modul
        • post
        • put
        • active status
        • show
    • student
      • submit answer
  • generate
    • question sugesstion
  1. institution

get applicants [institution]

Developing
GET
/institutions/applicants/all

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.leksigo.com/api/v2/institutions/applicants/all' \
--header 'Authorization: Bearer {{accessToken}}'
Response Response Example
{
    "success": true,
    "message": "Berhasil mendapatkan data pengajuan",
    "data": [
        {
            "child": {
                "fullName": "Duar",
                "dateOfBirth": "2026-05-11T00:00:00.000Z",
                "gender": 1,
                "therapyType": 2,
                "institutionId": "6a003e10d8653f8fb3063a25",
                "applicationStatus": 1,
                "deleted": true,
                "deletedAt": "2026-05-12T04:16:42.961Z",
                "_id": "6a02a9a18e162c7b2cef4af1"
            },
            "parentInfo": {
                "_id": "69fffcaa6714e1704a255eb0",
                "name": "Antonio Refaldo",
                "phone": "091231231",
                "address": null
            }
        }
    ]
}
Modified at 2026-07-28 13:08:36
Previous
updateStatus
Next
apply applicants [institution]
Built with